HD3450 HDMI output intermittently turns off

Bug #538377 reported by Daniel Newman
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Confirmed
Medium
linux (Ubuntu)
Medium
Canonical Kernel Team
Lucid
Medium
Canonical Kernel Team

Bug Description

Binary package hint: xserver-xorg-video-ati

1) lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

2) apt-cache policy xserver-xorg-video-radeon
xserver-xorg-video-radeon:
  Installed: 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt
  Candidate: 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt
  Version table:
 *** 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt 0
        500 http://ppa.launchpad.net lucid/main Packages
        100 /var/lib/dpkg/status
     1:6.12.191-1ubuntu2 0
        500 http://archive.ubuntu.com lucid/main Packages

3) The HD3450 DVI-HDMI output is connected by HDMI cable to an ASUS MK241H monitor. It should provide a 1920x1200 display + audio via the monitor. When it does so, xrandr reports:

xrandr -q
Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
DIN disconnected (normal left inverted right x axis y axis)
VGA-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200 60.0*+
   1920x1080 60.0
   1600x1200 60.0
   1680x1050 60.0
   1600x1024 60.2
   1400x1050 70.0 60.0 60.0
   1280x1024 75.0 60.0
   1440x900 75.0 59.9
   1280x960 60.0
   1360x765 59.8
   1360x768 60.0 59.8
   1280x800 74.9 59.8
   1152x864 75.0 75.0 70.0 60.0
   1280x768 74.9 59.9
   1280x720 60.0
   1024x768 75.1 75.0 70.1 60.0
   832x624 74.6
   800x600 72.2 75.0 60.3 56.2
   720x576 50.0
   848x480 60.0
   720x480 59.9
   640x480 75.0 72.8 72.8 72.8 75.0 60.0 59.9 59.9
   720x400 70.1

4) The display generally starts fine, but intermittently, after apparently random times and with random programs running, the display turns off and the monitor reports no HDMI output. Logging in from another machine, everything appears to be normal and xrandr reports the same as above. However, there is no HDMI output to the monitor. This can be fixed by xrandr, using first:

xrandr -d :0 --output DVI-0 --mode 1024x768

which makes the display visible again, in the lower resolution, then

xrandr -d :0 --output DVI-0 --mode 1920x1200

which restores the original display. Things then function normally until the next random HDMI output failure.

Revision history for this message
Daniel Newman (dmnewman) wrote :

Previously, under karmic, I used the closed source "fglrx" driver on the system. It functioned correctly, without any drop-outs.

Revision history for this message
Bryce Harrington (bryce) wrote :

Hi Daniel,

Please attach the output of `lspci -vvnn` and `dmesg`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you're using a custom /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete
Revision history for this message
Daniel Newman (dmnewman) wrote : Re: [Bug 538377] Re: HD3450 HDMI output intermittently turns off

This Xorg.0.log is from an apparently-normal boot, with the bug as
described above occurring a couple of hours after the boot. The display
was re-enabled using xrandr as described above, then ran normally until
the bug occurred again about an hour later. Re-enabled again, and so
far has run more than 12 hours without the bug re-occurring.

Although in the original bug report I said it was independent of
programs being run, it now seems to me that perhaps it occurs less often
while mplayer is running, but paused. However, this could be coincidence.

On 14/03/10 00:08, Bryce Harrington wrote:
> Hi Daniel,
>
>
> Please attach the output of `lspci -vvnn` and `dmesg`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you're using a custom /etc/X11/xorg.conf please attach that as well.
>
> [This is an automated message. Apologies if it has reached you
> inappropriately; please just reply to this message indicating so.]
>
>
> ** Tags added: needs-xorglog
>
> ** Tags added: needs-lspci-vvnn
>
> ** Changed in: xserver-xorg-video-ati (Ubuntu)
> Status: New => Incomplete
>
>

Bryce Harrington (bryce)
tags: removed: needs-xorglog
tags: removed: needs-lspci-vvnn
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
Bryce Harrington (bryce)
tags: added: tv-out
Bryce Harrington (bryce)
tags: added: lucid
Revision history for this message
Bryce Harrington (bryce) wrote :

Hi Daniel, okay I think we should forward this upstream to look at, however there's a couple things I'd just like to doublecheck first.

I see you posted an xorg.conf. Pretty much it looks totally okay, but I think everything that is listed there are now defaults, and in fact should set up properly with no xorg.conf. Could you please try moving aside your xorg.conf and boot with no xorg.conf at all, and see if the issue reproduces?

Second, you mentioned you'd had fglrx installed previously. Sometimes, depending on how it is uninstalled, it can leave some bits on the disk which then screw up the open source driver's 3D. I don't see any evidence this is happening here, but just in case please follow the directions at the following link to purge any remaining fglrx components: https://wiki.ubuntu.com/X/Troubleshooting/FglrxInteferesWithRadeonDriver

Finally, I notice you're running the 2.6.33 kernel. Does the same thing happen when using the stock lucid kernel?

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Daniel Newman (dmnewman) wrote :

No fglrx remnants showed up in the checks, but I followed the
reinstallation instructions anyway. I've also removed the xorg.conf and
rebooted, with a log as attached. The boot and xserver startup were
normal, but the problem remains, with HDMI output turning off after some
time.

Using the stock lucid kernel, the current version
linux-image-2.6.32-16-generic (2.6.32-16.25), the same HDMI problem
occurs. With both kernels, remote login and using xrandr to change the
mode restores the HDMI output.

However, I'm more sure now that having mplayer running continuously but
paused prevents the HDMI output turning off (at least, it has never
happened so far). Maybe this is some power management issue, where
having mplayer running prevents the HDMI output getting into some low
power state from which it cannot return.

On 19/03/10 20:28, Bryce Harrington wrote:
> Hi Daniel, okay I think we should forward this upstream to look at,
> however there's a couple things I'd just like to doublecheck first.
>
> I see you posted an xorg.conf. Pretty much it looks totally okay, but I
> think everything that is listed there are now defaults, and in fact
> should set up properly with no xorg.conf. Could you please try moving
> aside your xorg.conf and boot with no xorg.conf at all, and see if the
> issue reproduces?
>
> Second, you mentioned you'd had fglrx installed previously. Sometimes,
> depending on how it is uninstalled, it can leave some bits on the disk
> which then screw up the open source driver's 3D. I don't see any
> evidence this is happening here, but just in case please follow the
> directions at the following link to purge any remaining fglrx
> components:
> https://wiki.ubuntu.com/X/Troubleshooting/FglrxInteferesWithRadeonDriver
>
> Finally, I notice you're running the 2.6.33 kernel. Does the same thing
> happen when using the stock lucid kernel?
>
> ** Changed in: xserver-xorg-video-ati (Ubuntu)
> Status: Confirmed => Incomplete
>
>

Revision history for this message
Bryce Harrington (bryce) wrote :

Thanks for testing; this should go upstream. Setting to Confirmed for now.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Confirmed
Revision history for this message
In , Bryce Harrington (bryce) wrote :
Download full text (3.3 KiB)

Forwarding this bug from Ubuntu reporter Daniel Newman:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/538377

[Problem]
Intermittently with HDMI the display turns off and the monitor reports no HDMI output.

[Workaround]
When this occurs, issue the following commands:

xrandr -d :0 --output DVI-0 --mode 1024x768

which makes the display visible again, in the lower resolution, then

xrandr -d :0 --output DVI-0 --mode 1920x1200

which restores the original display. Things then function normally until the next random HDMI output failure.

[Original Description]
1) lsb_release -rd
Description: Ubuntu lucid (development branch)
Release: 10.04

2) apt-cache policy xserver-xorg-video-radeon
xserver-xorg-video-radeon:
  Installed: 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt
  Candidate: 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt
  Version table:
 *** 1:6.12.191+git20100306.e7b41f8c-0ubuntu0sarvatt 0
        500 http://ppa.launchpad.net lucid/main Packages
        100 /var/lib/dpkg/status
     1:6.12.191-1ubuntu2 0
        500 http://archive.ubuntu.com lucid/main Packages

3) The HD3450 DVI-HDMI output is connected by HDMI cable to an ASUS MK241H monitor. It should provide a 1920x1200 display + audio via the monitor. When it does so, xrandr reports:

xrandr -q
Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
DIN disconnected (normal left inverted right x axis y axis)
VGA-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200 60.0*+
   1920x1080 60.0
   1600x1200 60.0
   1680x1050 60.0
   1600x1024 60.2
   1400x1050 70.0 60.0 60.0
   1280x1024 75.0 60.0
   1440x900 75.0 59.9
   1280x960 60.0
   1360x765 59.8
   1360x768 60.0 59.8
   1280x800 74.9 59.8
   1152x864 75.0 75.0 70.0 60.0
   1280x768 74.9 59.9
   1280x720 60.0
   1024x768 75.1 75.0 70.1 60.0
   832x624 74.6
   800x600 72.2 75.0 60.3 56.2
   720x576 50.0
   848x480 60.0
   720x480 59.9
   640x480 75.0 72.8 72.8 72.8 75.0 60.0 59.9 59.9
   720x400 70.1

4) The display generally starts fine, but intermittently, after apparently random times and with random programs running, the display turns off and the monitor reports no HDMI output. Logging in from another machine, everything appears to be normal and xrandr reports the same as above. However, there is no HDMI output to the monitor. This can be fixed by xrandr, using first:

xrandr -d :0 --output DVI-0 --mode 1024x768

which makes the display visible again, in the lower resolution, then

xrandr -d :0 --output DVI-0 --mode 1920x1200

which restores the original display. Things then function normally until the next random HDMI output failure.

Previously, under karmic, I used the closed source "fglrx" driver on the system. It functioned correctly, without any drop-outs.

Having mplayer running continuously but pause...

Read more...

Revision history for this message
In , Bryce Harrington (bryce) wrote :

Created an attachment (id=34355)
xorg.conf

Revision history for this message
In , Bryce Harrington (bryce) wrote :

Created an attachment (id=34356)
dmesg.txt

Revision history for this message
In , Bryce Harrington (bryce) wrote :

Created an attachment (id=34357)
Xorg.0.log

Revision history for this message
In , agd5f (agd5f) wrote :

you might try loading the radeon drm with new_pll=0 or try this patch:
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commit;h=383be5d1789d9a7a2e77dca1cb0aca89507d069e
if your drm doesn't already have it.

Revision history for this message
Bryce Harrington (bryce) wrote :

Daniel - I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=27259 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed
Revision history for this message
In , Daniel Newman (dmnewman) wrote :

Using the ubuntu 2.6.33-020633-generic kernel, setting new_pll=0 makes
the system unusable.

 From the time it goes into graphics mode just prior to gdm starting,
the screen blinks to black every few seconds, then returns to normal for
a second or two, then repeats this sequence.

How can I check if this patch has been applied to a ubuntu kernel image?

On 24/03/10 02:18, <email address hidden> wrote:
> http://bugs.freedesktop.org/show_bug.cgi?id=27259
>
>
>
>
>
> --- Comment #4 from Alex Deucher<email address hidden> 2010-03-23 08:18:42 PST ---
> you might try loading the radeon drm with new_pll=0 or try this patch:
> http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commit;h=383be5d1789d9a7a2e77dca1cb0aca89507d069e
> if your drm doesn't already have it.
>
>
>

Revision history for this message
In , agd5f (agd5f) wrote :

(In reply to comment #5)
> Using the ubuntu 2.6.33-020633-generic kernel, setting new_pll=0 makes
> the system unusable.
>
> From the time it goes into graphics mode just prior to gdm starting,
> the screen blinks to black every few seconds, then returns to normal for
> a second or two, then repeats this sequence.
>
> How can I check if this patch has been applied to a ubuntu kernel image?
>

Bryce would know for sure, but it was only applied after 2.6.33 was released, so I suspect it's not in the ubuntu kernel. The 2.6.34rcX kernels should have it.

Revision history for this message
In , Bryce Harrington (bryce) wrote :

I've filed a request for the kernel team to include it, on a separate bug report.

Revision history for this message
In , Bryce Harrington (bryce) wrote :

(Actually, it was the downstream bug report for this bug report *grin*)

Revision history for this message
Bryce Harrington (bryce) wrote :

Hi Daniel, upstream has proposed a kernel patch to fix this. To check if it will indeed fix it (and to work around the issue until the patch is in place), can you boot with the radeon kernel parameter new_pll=0?

tags: added: xorg-needs-kernel-fix
Revision history for this message
Bryce Harrington (bryce) wrote :

Reassigning to the kernel since it sounds like this bug should be resolved with the following kernel drm patch:
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commit;h=383be5d1789d9a7a2e77dca1cb0aca89507d069e

affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Triaged → New
Bryce Harrington (bryce)
Changed in linux (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Seems this missed the Beta2 Freeze. Setting this to Triaged, assigning to the kernel team, and pushing out the milestone to the final release.

Daniel, it looks like this patch hit the 2.6.34-rc1 mainline kernel. Have you been able to test this latest kernel by chance?

Changed in linux (Ubuntu Lucid):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
status: New → Triaged
Revision history for this message
Daniel Newman (dmnewman) wrote : Re: [Bug 538377] Re: HD3450 HDMI output intermittently turns off

Ok, I have installed Ubuntu kernel "2.6.34-020634rc1-generic #020634rc1
SMP Tue Mar 9 10:10:20 UTC 2010 x86_64 GNU/Linux", and it has now been
running 15 hours without the bug appearing. Looks like it is fixed. My
grateful thanks go to all involved.

On 02/04/10 06:20, Leann Ogasawara wrote:
> Seems this missed the Beta2 Freeze. Setting this to Triaged, assigning
> to the kernel team, and pushing out the milestone to the final release.
>
> Daniel, it looks like this patch hit the 2.6.34-rc1 mainline kernel.
> Have you been able to test this latest kernel by chance?
>
> ** Changed in: linux (Ubuntu Lucid)
> Status: New => Triaged
>
> ** Changed in: linux (Ubuntu Lucid)
> Milestone: ubuntu-10.04-beta-2 => ubuntu-10.04
>
> ** Changed in: linux (Ubuntu Lucid)
> Assignee: (unassigned) => Canonical Kernel Team (canonical-kernel-team)
>
>

Revision history for this message
Andy Whitcroft (apw) wrote :

I have tried pulling back the patches indicated to the Lucid kernel and produced some test kernels. If those affected could try these kernels and report back here that would be helpful. The kernel will be at the URL below shortly:

    http://people.canonical.com/~apw/lp538377-lucid/

Thanks!

Revision history for this message
Daniel Newman (dmnewman) wrote :

Ok, I've been running kernel "2.6.32-19-generic
#29~lp538377v201004072017 SMP Wed Apr 7 19:50:45 UTC 2010 x86_64
GNU/Linux" for ovder 3 hours now, without the bug recurring. So far
everything I've tried related to the HDMI output seems to function
normally. It looks like this could be included in the Lucid kernel.

On 08/04/10 06:39, Andy Whitcroft wrote:
> I have tried pulling back the patches indicated to the Lucid kernel and
> produced some test kernels. If those affected could try these kernels
> and report back here that would be helpful. The kernel will be at the
> URL below shortly:
>
> http://people.canonical.com/~apw/lp538377-lucid/
>
> Thanks!
>
>

Andy Whitcroft (apw)
Changed in linux (Ubuntu Lucid):
status: Triaged → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (10.2 KiB)

This bug was fixed in the package linux - 2.6.32-20.29

---------------
linux (2.6.32-20.29) lucid; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: Use MODULE_IMPORT macro to tie intel_agp to i915"
    - LP: #542251
  * add Breaks: against hardy lvm2
    - LP: #528155

  [ Colin Watson ]

  * d-i -- enable udebs for generic-pae
    - LP: #160366

  [ Stefan Bader ]

  * [Config] Add xen netboot support
    - LP: #160366

  [ Takashi Iwai ]

  * (pre-stable): input: Support Clickpad devices in ClickZone mode
    - LP: #516329

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) Bluetooth: Fix sleeping function in RFCOMM within
    invalid context"
    - LP: #553837
  * Revert "(pre-stable) USB: fix usbfs regression"
    - LP: #553837
  * Revert "(pre-stable) softlockup: Stop spurious softlockup messages due
    to overflow"
    - LP: #553837
  * Revert "(pre-stable) drm/nouveau: report unknown connector state if lid
    closed"
    - LP: #553837
  * drivers/scsi/ses.c: eliminate double free
    - LP: #553837
  * decompress: fix new decompressor for PIC
    - LP: #553837
  * ARM: Fix decompressor's kernel size estimation for ROM=y
    - LP: #553837
  * MIPS: Cleanup forgotten label_module_alloc in tlbex.c
    - LP: #553837
  * tg3: Fix tg3_poll_controller() passing wrong pointer to tg3_interrupt()
    - LP: #553837
  * tg3: Fix 5906 transmit hangs
    - LP: #553837
  * ALSA: hda - Fix input source elements of secondary ADCs on Realtek
    - LP: #553837
  * ALSA: hda: enable MSI for Gateway M-6866
    - LP: #538918, #553837
  * timekeeping: Prevent oops when GENERIC_TIME=n
    - LP: #553837
  * Input: alps - add support for the touchpad on Toshiba Tecra A11-11L
    - LP: #553837
  * Input: i8042 - add ALDI/MEDION netbook E1222 to qurik reset table
    - LP: #553837
  * i2c-i801: Don't use the block buffer for I2C block writes
    - LP: #553837
  * ath5k: dont use external sleep clock in AP mode
    - LP: #553837
  * ath5k: fix setup for CAB queue
    - LP: #553837
  * ring-buffer: Move disabled check into preempt disable section
    - LP: #553837
  * function-graph: Init curr_ret_stack with ret_stack
    - LP: #553837
  * Bluetooth: Fix sleeping function in RFCOMM within invalid context
    - LP: #553837
  * tracing: Use same local variable when resetting the ring buffer
    - LP: #553837
  * tracing: Disable buffer switching when starting or stopping trace
    - LP: #553837
  * tracing: Do not record user stack trace from NMI context
    - LP: #553837
  * PCI: unconditionally clear AER uncorr status register during cleanup
    - LP: #553837
  * efifb: fix framebuffer handoff
    - LP: #553837
  * coredump: suppress uid comparison test if core output files are pipes
    - LP: #553837
  * V4L/DVB (13961): em28xx-dvb: fix memleak in dvb_fini()
    - LP: #553837
  * hrtimer: Tune hrtimer_interrupt hang logic
    - LP: #553837
  * x86, apic: Don't use logical-flat mode when CPU hotplug may exceed 8
    CPUs
    - LP: #553837
  * mvsas: add support for Adaptec ASC-1045/1405 SAS/SATA HBA
    - LP: #553837
  * pci: add support for 82576NS serdes to existing SR-IOV quirk
    - LP: #553837
  * sched: Mark boot-cpu active before smp_init()
    -...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
Changed in xserver-xorg-driver-ati:
importance: Medium → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
Revision history for this message
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.